import Foundation
import AppKit

enum ImageType: CaseIterable {
    case jpg
    case png
    case avif
    case webp

    init?(fileExtension: String) {
        switch fileExtension {
        case "jpg", "jpeg":
            self = .jpg
        case "png":
            self = .png
        case "avif":
            self = .avif
        case "webp":
            self = .webp
        default:
            return nil
        }
    }

    var fileType: NSBitmapImageRep.FileType {
        switch self {
        case .jpg:
            return .jpeg
        case .png, .avif, .webp:
            return .png
        }
    }
}
