import Foundation

struct ImageData {

    /// The images to generate (`key`: the image source path relative to the input folder)
    var jobs: [String : [ImageJob]] = [:]

    /// The images for which to generate multiple versions (`key`: the source file, `value`: the path of the requiring page)
    var multiJobs: [String : String] = [:]

    /// All warnings produced for images during generation
    var warnings: [String] = []

    /// The images which could not be found, but are required for the site (`key`: image path, `value`: source element path)
    var missing: [String : String] = [:]

    /// Images which could not be read (`key`: file path relative to content, `value`: source element path)
    var unreadable: [String : String] = [:]
}
