import Foundation

enum PageImageTemplateKey: String, CaseIterable {
    case altText = "ALT_TEXT"
    case image = "IMAGE"
    case imageExtension = "IMAGE_EXT"
    case width = "WIDTH"
    case height = "HEIGHT"
    case leftText = "LEFT_TEXT"
    case rightText = "RIGHT_TEXT"
    case number = "NUMBER"
}

struct EnlargeableImageTemplate: Template {

    typealias Key = PageImageTemplateKey

    static let templateName = "image-enlargeable.html"

    let raw: String

    let results: GenerationResultsHandler

}

struct PageImageTemplate: Template {

    typealias Key = PageImageTemplateKey

    static let templateName = "image.html"

    let raw: String

    let results: GenerationResultsHandler

}
